/* Default styles */

* {font-family: sans-serif}
body {margin: 0; font-size: 14px; line-height: 21px; background-color: #666; font-family: sans-serif}
input, textarea {font-size: 14px}
a {color: #333}
h1 {font-weight: bold; font-size: 18px}
h2 {font-weight: bold; font-size: 14px}
input[type=submit] {color: #000; background-color: #ccc;}
input[type=file] {border: 2px inset #808080}

/* Container */
#container {background-color: #fff; padding: 10px}

/* Page header */
#header {background-color: #000; color: #ccc; padding: 15px 12px 10px 12px; border-bottom-color: #000; overflow: hidden; text-align: right;}
#header .title {font-size: 21px; font-weight:bold; float: left; width: auto}
#header .title a {color:#fff; text-decoration: none}
#header img {display: block}
#header .logo {float: left; width: auto}
#header .description {}

/* Menu sets */
#menu_set1 {background-color: #333;}
#menu_set1 a {color: #fff}
#menu_set2, #middle {background-color: #ccc;}
#menu_set2 a {color: #333}

/* Content menu */
.content_menu {overflow: hidden; padding: 2px 0 2px 10px}
.content_menu .link {float: left; width: auto; margin-right: 20px}

/* User menu */
.user_menu {text-align: right; padding: 0 12px 0 12px}
.user_menu .user, .user_menu .user_logout {display: inline; margin-left: 20px}
.user_menu .link {float: left; width: auto; margin-right: 20px}

/* Main content */
#main {background-color: #fff; overflow: hidden; border-left: 2px solid #ccc; border-right: 2px solid #ccc;}
#main .content {overflow: hidden; padding: 20px 8px 20px 8px}
#main .part1 {width:50%; float: left; padding-right: 20px} 
#main .part2 {margin-left: 50%; padding-left: 20px}


/* Subheader */
.subheader {overflow: hidden; color: #ooo; background-color: #ccc; padding: 10px;}
.subheader .sub_h1 {float: left; width: auto; line-height: 26px}
.subheader .sub_h1_switch, .subheader .sub_h1_switch_right {float: right; width: auto; background-color: #999; border: 2px outset #999; padding: 3px; overflow: hidden}
.subheader .sub_h1_switch a, .subheader .sub_h1_switch_right a {text-decoration: none; color: #fff}
.subheader .sub_h1_switch_right {margin-left: 16px}
.subheader .sub_h1_switch img {float: left; width: auto; margin-right: 4px}
.subheader .sub_h1_switch_right img {float: right; width: auto; margin-left: 4px}
.subheader .switch_inner {float: left; width: auto; line-height: 16px;}

/* Page footer */
#footer {border-top: solid 2px #000; padding: 5px 10px 10px 10px; overflow: hidden}
#footer .contact {float: right; width: auto}
#footer .credit {float: left; width: auto}
#footer .update {float: right; width: auto; margin-left: 20px; color: #c00}

/* Pages */
#page_accessdenied {}
#page_birthplaces {}
#page_error {}
#page_frontpage {}
#page_graph {}
#page_calendar {}
#page_lastnames
#page_login {}
#page_person {}
#page_search {}

/* Common classes */
.error {color:#f00; font-weight:bold}
.submit_button {}
.label {float: left; width: 100px}
.value {margin-left: 8em}
.index_note {font-size: 11px; vertical-align: top; position: relative; top: -0.3em}
.inline_note {font-size: 11px;}
.thumbnail_box {float:left; width: auto; border: solid 1px #ccc; padding: 5px; margin: 0 10px 10px 0; overflow: hidden}
.thumbnail_inner {padding: 1px; background-color: #000}
.thumbnail_title {font-size: 11px; line-height: 17px; text-align: center; height: 35px}
.form_line {clear: both; margin-bottom: 10px; overflow: hidden}

/* Graph classes */
.graph_box {height: 48px;}
.graph_box, .graph_multibox {border: 1px solid #000; padding: 5px 0 0 0; box-shadow: 2px 2px 1px 0 #999; -webkit-box-shadow: 2px 2px 1px 0 #999; -moz-box-shadow: 2px 2px 1px 0 #999; font-size: 11px; line-height: 13px}
.graph_box .sex {float: right; width: 12px; position: relative; top: -5px}
.graph_box_name {text-align: center; font-weight: bold; max-height: 28px; overflow: hidden; padding: 0 5px 0 5px}
.graph_box_date {text-align: center; padding-top: 2px}
.graph_box_line {border-color: #000}
.graph_box_line_l {border-left-width: 1px; border-left-style: solid}
.graph_box_line_r {border-right-width: 1px; border-right-style: solid}
.graph_box_line_trl {border-top-width: 1px; border-top-style: solid; border-right-width: 1px; border-right-style: solid; border-left-width: 1px; border-left-style: solid}
.graph_box_line_rbl {border-right-width: 1px; border-right-style: solid; border-bottom-width: 1px; border-bottom-style: solid; border-left-width: 1px; border-left-style: solid}
.graph_box_line_tl {border-top-width: 1px; border-top-style: solid; solid; border-left-width: 1px; border-left-style: solid}
.graph_box_line_tr {border-top-width: 1px; border-top-style: solid; border-right-width: 1px; border-right-style: solid;}
.graph_box_line_b {border-bottom-width: 1px; border-bottom-style: solid}
.graph_box_space_vh {height: 25px}
.graph_box_space_hh {width: 50%}
.graph_box_space_vq {height: 12px;}
.graph_box_space_v3q {height: 38px;}
.graph_box_space_hqdown {position: relative; top: 25px}


/* Frontpage */
#page_frontpage .module {border: 1px solid #666; margin-bottom: 20px}
#page_frontpage .module h2 {background-color: #666; color: #fff; padding: 2px 10px 2px 10px}
#page_frontpage .module h2 a {color: #fff}
#page_frontpage .module_content {overflow: hidden; padding: 0 10px 10px 10px;}
#page_frontpage .search .text_field {display: block; float: left; width: 75%; padding: 1px}
#page_frontpage .search .submit_button {display: block; float: right; width: 20%; padding: 2px}
#page_frontpage .module .list_title {padding-top: 10px; border-bottom: 1px dotted #999}
#page_frontpage .module .list_subtitle, #page_frontpage .module form {padding-top: 10px}
#page_frontpage .module .list_subtitle_weddings, #page_frontpage .module .list_subtitle_deaths {padding-top: 15px}
#page_frontpage .module .cell1 {width:50%; float: left}
#page_frontpage .module .cell2 {width:50%; margin-left: 50%}
#page_frontpage .module .cell1 ul {padding-right: 10px}
#page_frontpage .module .cell2 ul {padding-left: 10px}
#page_frontpage li {border-bottom: 1px dotted #999}
#page_frontpage .anniversaries li .date {float: left; width: 6.5em}
#page_frontpage .anniversaries li .name {margin-left: 7em}
#page_frontpage .calendar li .year {float: left; width: 4em}
#page_frontpage .calendar li .name {margin-left: 4.5em}
#page_frontpage .calendar li .weekday {float: right; width: auto; font-size: 11px}
#page_frontpage .table li {text-align: right;}
#page_frontpage .table li .item {float: left; width: auto; text-align: left}
#page_frontpage .statistics .module_content {padding-top: 10px}
#page_frontpage .text1, #page_frontpage .text2 {clear: both; margin-bottom: 20px}
#page_frontpage .gallery .module_content {padding: 0; height: 430px; overflow:hidden}
#page_frontpage .gallery .empty {padding: 10px; color: #999}
#page_frontpage .gallery .thumbnail_box {border: none; padding: 0; margin: 10px 0 0 10px}

/* Error / Access denied */
#page_error h1, #page_accessdenied h1 {font-size: 28px; margin-bottom: 20px}
#page_error p, #page_accessdenied p {margin-bottom: 60px}

/* Login page */
#page_login form {margin-bottom: 40px}
#page_login .label {width: 150px; padding-top: 4px}
.login_formline {clear: both; width: 400px; margin-bottom: 15px;}
.login_forgot, .login_submit {margin-left: 150px;}
.login_forgot {font-size: 11px}

/* Birth places page */
#page_birthplaces .column_content {float: left; width: 22%}
#page_birthplaces .column_space {float: left; width: 4%}
#page_birthplaces .column_content li {text-align: right; border-bottom: 1px dotted #999}
#page_birthplaces .column_content li .item {float: left; width: auto; text-align: left; padding-right: 10px}
#page_birthplaces .birthplaces_all {margin-top: 20px}
#page_birthplaces .birthplaces_all, #page_birthplaces .birthplaces_top {overflow: hidden; clear: both}
#page_birthplaces .part1 li, #page_birthplaces .part2 li {border-bottom: 1px dotted #999;}

/* Last names page */
#page_lastnames .column_content {float: left; width: 22%}
#page_lastnames .column_space {float: left; width: 4%}
#page_lastnames .column_content li {text-align: right; border-bottom: 1px dotted #999}
#page_lastnames .column_content li .item {float: left; width: auto; text-align: left; padding-right: 10px}
#page_lastnames .lastnames_all {margin-top: 20px}
#page_lastnames .lastnames_all, #page_lastnames .lastnames_top {overflow: hidden; clear: both}
#page_lastnames .part1 li, #page_lastnames .part2 li {border-bottom: 1px dotted #999;}

/* Person text page */
#page_person .person_data {padding: 0 0 15px 0}
#page_person .person_sex {}
#page_person .person_parent
#page_person .person_siblings {}
#page_person .person_childern {}
#page_person .person_event {}
#page_person .notes {margin: 30px 10px 0 0; border-top: 1px dotted #999;}
#page_person .note_head {margin-bottom: 10px}
#page_person .note_par {margin: 10px 0 0 20px; text-indent: -20px; font-size: 11px}
#page_person .note_par .index_note {display: block; float: left; width: 20px}
#page_person .gallery, #page_person .document {clear: both}
#page_person .document_box {overflow: hidden}
#page_person .document_link, #page_person .document_type {float: left; margin-right: 10px}
#page_person .document_description {clear: both; font-size: 11px}

/* Person graphic page */
#page_graph .col1 {float: left; width:20%}
#page_graph .col2, #page_graph .col3, #page_graph .col4 {float: left; width:21%}
#page_graph .col5 {float: left; width:17%;}
#page_graph .cell {clear: both}
#page_graph .col1 .subcol2 {float: left; width: 80%}
#page_graph .col1 .subcol3 {float: left; width: 5%}
#page_graph .col1 .subcol4 {float: left; width: 15%}
#page_graph .col2 .subcol1, #page_graph .col3 .subcol1, #page_graph .col4 .subcol1,
#page_graph .col2 .subcol3, #page_graph .col3 .subcol3, #page_graph .col4 .subcol3 {float: left; width: 5%}
#page_graph .col2 .subcol4, #page_graph .col3 .subcol4, #page_graph .col4 .subcol4 {float: left; width: 14%}
#page_graph .col2 .subcol2, #page_graph .col3 .subcol2, #page_graph .col4 .subcol2 {float: left; width: 76%}
#page_graph .col5 .subcol1 {float: left; width: 6%}
#page_graph .col5 .subcol2 {float: left; width: 94%}
#page_graph .namebox {border: 1px solid #000; font-size: 11px; line-height: 13px; text-align: center; padding: 5px 0 0 0; background-color: #fff; z-index: 1}
#page_graph .namebox .sex {float: right; width: 12px; position: relative; top: -5px}
#page_graph .namebox.namebox_ancestor, #page_graph .namebox.namebox_descendant {background-color: #eee}
#page_graph .namebox .name {text-align: center; padding: 0 5px 0 5px; font-weight: bold; max-height: 28px; overflow: hidden}
#page_graph .namebox .dates {text-align: center; padding-top: 2px}
#page_graph .namebox_main {background-color: #000 !important; color: #fff}
#page_graph .line_t {border-top: 1px solid #000}
#page_graph .line_r {border-right: 1px solid #000}
#page_graph .line_l {border-left: 1px solid #000; }
#page_graph .line_t, #page_graph .line_r, #page_graph .line_l {position: absolute; top: 0; bottom: 0; left: 0; right: 0}
#page_graph .namebox_shadow {box-shadow: 2px 2px 1px 0 #999; -webkit-box-shadow: 2px 2px 1px 0 #999; -moz-box-shadow: 2px 2px 1px 0 #999}
#page_graph .subcol2 {position:relative}
#page_graph .subcol2 .namebox {position: absolute; top: 0; bottom: 0; left: 0; right: 0}

/* Calendar page */
#page_calendar .col1, #page_calendar .col7 {float: left; width: 15%;}
#page_calendar .col2, #page_calendar .col3, #page_calendar .col4, #page_calendar .col5, #page_calendar .col6 {float: left; width: 14%;}
#page_calendar .row {overflow: hidden; padding: 0 0 6px 0}
#page_calendar .cell {border: 1px solid #000}
#page_calendar .col1 .cell {margin: 0 6px 0 0}
#page_calendar .col2 .cell {margin: 0 5px 0 1px}
#page_calendar .col3 .cell {margin: 0 4px 0 2px}
#page_calendar .col4 .cell {margin: 0 3px 0 3px}
#page_calendar .col5 .cell {margin: 0 2px 0 4px}
#page_calendar .col6 .cell {margin: 0 1px 0 5px}
#page_calendar .col7 .cell {margin: 0 0 0 6px}
#page_calendar .weekday {border: none !important; background-color: #666; color: #fff; padding: 4px}
#page_calendar .cell .date {background-color: #ccc;}
#page_calendar .cell .date {padding: 3px}
#page_calendar .cell .anniversaries {padding: 3px; height: 112px; font-size: 11px; line-height: 12px; text-align: right}
#page_calendar .cell .item {height: 24px; border-bottom: 1px dotted #999;  white-space: nowrap; overflow: hidden; text-align: left}
#page_calendar .other_month .date {background-color: #999}
#page_calendar .other_month .anniversaries {background-color: #ccc}
#page_calendar .today .date {background-color: #000}
#page_calendar .today .date a {color:#fff}
#page_calendar .event {margin-bottom: 25px}
#page_calendar .event .item, #page_calendar .event h2 {border-bottom: 1px dotted #999;}

/* Search page */
#page_search form {margin-bottom: 15px}
#page_search .part1 h2, #page_search .part1 li, #page_search .part2 h2, #page_search .part2 li {border-bottom: 1px dotted #999;}
#page_search .statistic li {text-align: right}
#page_search .statistic li .item {float: left; width: auto; text-align: left}
#page_search .filter {}
#page_search ul {margin-bottom: 20px}

/* Edit page */
#page_edit .label {float: left; width: 150px;}
#page_edit .input_cont {float: left; width: auto; margin-right: 5px;}
#page_edit .input_title input, #page_edit .input_prefix input, #page_edit .input_suffix input {width: 50px}
#page_edit .input_first_name input, #page_edit .input_last_name input {width: 100px}
#page_edit .input_middle_name input, #page_edit .input_nick_name input {width: 75px}
#page_edit .input_nick_name input {float: right}
#page_edit .formslabel {font-size: 11px; width: auto}
#page_edit .disp_cont {float: left; width: 370px; background-color: #fff; border: #ccc 1px solid; padding: 1px}
#page_edit .form_searchname {width: 370px;}
#page_edit .form_suggest {width: 370px;}
#page_edit .subbutton_area {float: right; width: auto;}
#page_edit .form_subbutton, #page_edit .form_mainportrait {width: 100px; vertical-align: top} 
#page_edit .form_rightcolumn {overflow: hidden; width: 580px; margin-left: 150px; margin-bottom: 10px; vertical-align: top}
#page_edit .form_searchselect {width: 370px; clear: both;}
#page_edit .input_prefix select {width: 70px}
#page_edit .input_day input, #page_edit .input_month input {width: 35px;}
#page_edit .input_year input {width: 50px}
#page_edit .place_set {position: relative; right: -5px; float: right; width: auto}
#page_edit .input_place1 input {width: 110px}
#page_edit .input_place2 input, #page_edit .input_place3 input {width: 100px}
#page_edit .disp_cont_full {background-color: #fff; border: #ccc 1px solid; padding: 1px}
#page_edit .form_causeofdeath {width: 575px}
#page_edit .form_note, #page_edit .form_personnote, #page_edit .form_newevent {width: 575px}
#page_edit #button_reload {display: block; float: right; width: auto}
#page_edit #button_reload, #page_edit #button_return, #page_edit #button_upload, #page_edit #button_cancel {padding: 5px}
#page_edit .submit_button {margin-top: 15px}
#page_edit #button_cancel {margin: 20px 0 20px 0}
#page_edit .gallery_upload {width: 575px; border: 1px #000 solid}
#page_edit .delete, #page_edit .nodelete {display: block; float: right; width: auto}
#page_edit .delete {color: #fff; background-color: #000}
#page_edit .nodelete {color: #666;}
#page_edit .photo_details {float: left; width: 500px}
#page_edit .form_phototitle, #page_edit .form_photodescription {width: 495px}
#page_edit .form_doclink {border: 1px solid #999; margin-bottom: 10px; padding: 1px}
#page_edit .document_details {width: 500px}
#page_edit .document_box {overflow: hidden; width: 575px; margin-bottom: 10px}
#page_edit .document_link, #page_edit .document_type {float: left;}
#page_edit .document_link {width: 400px; border: 1px solid #999; padding: 1px}
#page_edit .document_type {width: 50px; padding-left: 10px}
#page_edit .document_button {float: right; width: auto; padding-left: 10px}
#page_edit .form_doctitle, #page_edit .form_docdescription {width: 495px}
#page_edit .disp_linked {width: 390px; padding: 1px 0 1px 0}
#page_edit .form_subline {overflow: hidden; margin-bottom: 2px}
#page_edit .photo_set, #page_edit .document_set {overflow:hidden; }
#page_edit .photo_set .form_subbutton, #page_edit .document_set .form_subbutton {font-size: 11px; width: auto; padding: 0}
#page_edit #new_photo_link .form_subbutton, #page_edit #new_document_link .form_subbutton {width: 140px;}
.page_edit_person .form_line {border-bottom: 1px dotted #999}

/* Fast setup page */
#page_setup .conf_formline {clear: both; width: 730px; margin-bottom: 10px;}
#page_setup .conf_label {float: left; width: 180px; padding-top: 4px;}
#page_setup .conf_input {margin-left: 180px;}
#page_setup .conf_inputtext, #page_setup .conf_inputtextarea {border: 2px inset #999; padding: 2px; width: 550px}
#page_setup .conf_inputtextarea {width: 550px; resize: none;}
#page_setup .conf_inputselect {width: 550px}
#page_setup .conf_submit {margin: 15px 0 10px 180px; padding: 5px}
#page_setup .info {margin-bottom: 10px;}

/* Gallery page */
#page_gallery .gallery_row {overflow: hidden; clear: both}
#page_gallery .info {float: left; margin-bottom: 10px}
#page_gallery .pagination_before, #page_gallery .pagination_after {float: right; width: auto; overflow: hidden; margin-bottom: 10px}
#page_gallery .prev, #page_gallery .next {float: left; width: auto; margin-left: 15px}
#page_gallery .photo_details {float: left; width: auto}
#page_gallery .detail {margin-bottom: 10px}


/* Relashinships page */
#page_relationships #form_pair {overflow: hidden; margin-bottom: 20px}
#page_relationships #form_pair .person {width: auto; overflow: hidden}
#page_relationships #form_pair .person_0 {margin-right: 20px}
#page_relationships #form_pair .label {width: 150px}
#page_relationships #form_pair .form_searchname, #page_relationships #form_pair .disp_name {width: 190px}
#page_relationships #form_pair .form_subbutton {width: 100px; padding: 2px; float: right}
#page_relationships #form_pair .form_searchselect, #page_relationships #form_pair .form_disp_name {overflow: hidden; margin-bottom: 5px}
#page_relationships #form_pair .form_searchselect {margin-left: 150px; width: 190px; float: left}
#page_relationships #form_pair .form_options {width: 450px; overflow: hidden; margin: 3px 0 20px 0}
#page_relationships #form_pair .disp_name {float: left;}
#page_relationships #form_pair .form_disp_name {width: 300px}
#page_relationships #form_pair .form_subbutton_select {margin-bottom: 5px}
#page_relationships .row {width-min: 500px; width: 50%; overflow: hidden;}
#page_relationships .row_last {padding-bottom: 3px}
#page_relationships .outbox {width: 40%; margin-right: 3px}
#page_relationships .left {float: left} 
#page_relationships .right {float: right}
#page_relationships .middle {margin-left: auto; margin-right: auto} 
#page_relationships .middle_lines {width: 60%; margin-left: auto; margin-right: auto} 
#page_relationships .middle_space {width: 20%; margin-left: auto; margin-right: auto} 

/* Contact page */
#page_contact fieldset {margin: 20px 0 20px 0}
#page_contact input[type=text], #page_contact textarea {display: block; clear: both; width: 99%; max-width: 500px}
#page_contact .label {width: auto}
#page_contact textarea {height: 250px}

/* Timeline page */
#page_timeline .content {overflow: hidden}
#page_timeline .names_container {float: left; width: 100%; margin-left:-100%;}
#page_timeline .names {position: relative; left: 100%}
#page_timeline .lines .col_a {float: left; width: 16.66%}
#page_timeline .lines .col_b {float: left; width: 12.49%}
#page_timeline .col_inner {border-right: 1px dotted #808080;}
#page_timeline .col_last .col_inner {border: none}
#page_timeline .names {padding-top: 15px}
#page_timeline .line_container, #page_timeline .col-line {margin: 10px 0 10px 0}
#page_timeline .line, #page_timeline .col-line {overflow: hidden; font-size: 11px; line-height: 100%; height: 15px; min-width: 25px;}
#page_timeline .line .left {float: left; width: auto: text-align: right; padding: 1px;}
#page_timeline .line {border: 1px solid #000; margin-borrom: 4px; text-align: center; padding: 1px; white-space:nowrap; box-shadow: 2px 2px 1px 0 #999; -webkit-box-shadow: 2px 2px 1px 0 #999; -moz-box-shadow: 2px 2px 1px 0 #999}
#page_timeline .line .right {float: right; width: auto; text-align: left; padding: 1px;}
#page_timeline .col-header {overflow: hidden; font-size: 11px; font-weight: bold}
#page_timeline .col-lheader {float: left; width: auto}
#page_timeline .col-rheader {float: right; width: auto}
#page_timeline .notes {padding-top: 30px; font-size: 11px; clear: both}
#page_timeline .note_head {border-top: 1px dotted #999}
#page_timeline .col-line {padding-bottom: 4px}